div data-controller="harmonica"
  = select_tag 'key', options_for_select(Note.all), data: { target: 'harmonica.key', action: 'change->harmonica#updateScale change->harmonica#updateChord' }
  = select_tag 'scale', options_for_select(Scale.all), data: { target: 'harmonica.scale', action: 'change->harmonica#updateScale' }
  = select_tag 'chord', options_for_select(Chord.all), data: { target: 'harmonica.chord', action: 'change->harmonica#updateChord' }
  hr/
  h4
    | Scale
  p data-target="harmonica.resultScale"
  hr/
  h4
    | Chord
  p data-target="harmonica.resultChord"





section class="harmonica"
  div class="cover"
    span class="screws left"
    span class="plate"
    span class="screws right"
  div class="reeds blow"
  div class="comb"
    div class="holes" data-hole="C"
      span class="reed"
      span class="rivet"
    div class="holes" data-hole="E"
      span class="reed"
      span class="rivet"
    div class="holes" data-hole="G"
      span class="reed"
      span class="rivet"
    div class="holes" data-hole="C"
      span class="reed"
      span class="rivet"
  div class="comb"
    div class="holes down" data-hole="D"
      span class="rivet"
      span class="reed"
    div class="holes down" data-hole="F"
      span class="rivet"
      span class="reed"
    div class="holes down" data-hole="A"
      span class="rivet"
      span class="reed"
    div class="holes down" data-hole="B"
      span class="rivet"
      span class="reed"
  div class="reeds draw"
  div class="cover"
    span class="screws bottom left"
    span class="plate bottom"
    span class="screws bottom right"
